[pygtk] gnome.ui in SuSE Linux 8.2

Jon Willeke willeke at users.sourceforge.net
Thu Jul 24 18:18:28 WST 2003


Sorry for not replying to the original message, but I only just 
subscribed.  I was just looking into this, myself.  I installed SuSE Linux 
8.2 Personal, then installed a bunch of packages from mirror sites.  I 
usually use Red Hat, so I'm a little out of my element.

If you try to rebuild the python-gnome package, you'll get a message like this:

   The following modules will NOT be built:

   gnome.ui
   bonobo
   bonobo.activation
   bonobo.ui
   gnome.applet
   nautilus

   Note: PyORBit 1.99.4 or later is required by bonobo, gnomeui
and nautilus bindings.

It seems that SuSE doesn't ship PyORBit.  The python-orbit-1.99.0 package 
is actually ORBit-Python 0.3.1.

I'm trying to rebuild the python-gnome package with gnome.ui support, but 
it's slow going.  The spec files and configure scripts miss a lot of 
dependencies, so I have to decipher error messages from make and cc.



More information about the pygtk mailing list